Bug 490596 (CVE-2009-0163) - CVE-2009-0163 cups: Integer overflow in the TIFF image filter
Summary: CVE-2009-0163 cups: Integer overflow in the TIFF image filter
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-0163
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 492381 492384 492385 492386 492387
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-17 07:59 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-25 20:41:31 UTC


Attachments (Terms of Use)
CUPS imageReadTIFF patch (540 bytes, patch)
2009-03-17 08:19 UTC, Jan Lieskovsky
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0428 normal SHIPPED_LIVE Moderate: cups security update 2009-04-16 22:51:31 UTC
CUPS Bugs and Features 3031 None None None Never
Red Hat Product Errata RHSA-2009:0429 normal SHIPPED_LIVE Important: cups security update 2009-04-16 22:52:28 UTC

Description Jan Lieskovsky 2009-03-17 07:59:09 UTC
An integer overflow flaw, leading to a heap-based buffer overflow, was
discovered in the Tagged Image File Format (TIFF) decoding routines used by
the CUPS image-converting filters, "imagetops" and "imagetoraster". An
attacker could create a malicious TIFF file that could, potentially,
execute arbitrary code as the "lp" user if the file was printed.

Acknowledgements:

Red Hat would like to thank Aaron Sigel of the Apple Product Security team and iDefense for responsibly reporting this flaw.

Comment 1 Jan Lieskovsky 2009-03-17 08:17:52 UTC
CUPS STR for this issue:

http://www.cups.org/str.php?L3031

Comment 2 Jan Lieskovsky 2009-03-17 08:19:10 UTC
Created attachment 335488 [details]
CUPS imageReadTIFF patch

Comment 7 Vincent Danen 2009-04-16 21:41:10 UTC
Embargo has been lifted.

Comment 8 Tomas Hoger 2009-04-17 10:00:28 UTC
Fixed upstream in 1.3.10:
  http://www.cups.org/articles.php?L582

Comment 9 Fedora Update System 2009-04-21 15:16:56 UTC
cups-1.3.10-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/cups-1.3.10-1.fc9

Comment 10 Fedora Update System 2009-04-21 15:19:48 UTC
cups-1.3.10-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cups-1.3.10-1.fc10

Comment 11 Fedora Update System 2009-04-22 00:47:11 UTC
cups-1.3.10-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-04-22 00:50:03 UTC
cups-1.3.10-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2009-04-24 08:24:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:0428 https://rhn.redhat.com/errata/RHSA-2009-0428.html

Comment 14 errata-xmlrpc 2009-04-24 08:26:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0429 https://rhn.redhat.com/errata/RHSA-2009-0429.html

Comment 15 Kurt Seifried 2011-10-25 20:41:31 UTC
All children bugs have been closed, closing parent bug


Note You need to log in before you can comment on or make changes to this bug.